<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pm_after_action_admin.php
| Version: 1.0.1
| Author: Yodix (www.on-deck.eu)
| Release Date: 22/03/2012
| Last Update Date: 23/03/2012
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INCLUDES."infusions_include.php";
include INCLUDES."bbcode_include.php";

if (!checkrights("PAA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."pm_after_action/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pm_after_action/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pm_after_action/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "settings_updated") {
		$message = $locale['paa_admin_030'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

if (isset($_POST['savesettings'])) {
	if (isset($_POST['refresh_topic']) && ($_POST['refresh_topic'] == 1 || $_POST['refresh_topic'] == 0)) {
		$setting = set_setting("refresh_topic", $_POST['refresh_topic'], "pm_after_action");
	}
	if (isset($_POST['refresh_topic_pm'])) {
		$value = stripinput($_POST['refresh_topic_pm']);
		$setting = set_setting("refresh_topic_pm", $value, "pm_after_action");
	}
	if (isset($_POST['delete_topic']) && ($_POST['delete_topic'] == 1 || $_POST['delete_topic'] == 0)) {
		$setting = set_setting("delete_topic", $_POST['delete_topic'], "pm_after_action");
	}
	if (isset($_POST['delete_topic_pm'])) {
		$value = stripinput($_POST['delete_topic_pm']);
		$setting = set_setting("delete_topic_pm", $value, "pm_after_action");
	}
	if (isset($_POST['lock_topic']) && ($_POST['lock_topic'] == 1 || $_POST['lock_topic'] == 0)) {
		$setting = set_setting("lock_topic", $_POST['lock_topic'], "pm_after_action");
	}
	if (isset($_POST['lock_topic_pm'])) {
		$value = stripinput($_POST['lock_topic_pm']);
		$setting = set_setting("lock_topic_pm", $value, "pm_after_action");
	}
	if (isset($_POST['stick_topic']) && ($_POST['stick_topic'] == 1 || $_POST['stick_topic'] == 0)) {
		$setting = set_setting("stick_topic", $_POST['stick_topic'], "pm_after_action");
	}
	if (isset($_POST['stick_topic_pm'])) {
		$value = stripinput($_POST['stick_topic_pm']);
		$setting = set_setting("stick_topic_pm", $value, "pm_after_action");
	}
	if (isset($_POST['move_topic']) && ($_POST['move_topic'] == 1 || $_POST['move_topic'] == 0)) {
		$setting = set_setting("move_topic", $_POST['move_topic'], "pm_after_action");
	}
	if (isset($_POST['move_topic_pm'])) {
		$value = stripinput($_POST['move_topic_pm']);
		$setting = set_setting("move_topic_pm", $value, "pm_after_action");
	}
	if (isset($_POST['unlock_topic']) && ($_POST['unlock_topic'] == 1 || $_POST['unlock_topic'] == 0)) {
		$setting = set_setting("unlock_topic", $_POST['unlock_topic'], "pm_after_action");
	}
	if (isset($_POST['unlock_topic_pm'])) {
		$value = stripinput($_POST['unlock_topic_pm']);
		$setting = set_setting("unlock_topic_pm", $value, "pm_after_action");
	}
	if (isset($_POST['unstick_topic']) && ($_POST['unstick_topic'] == 1 || $_POST['unstick_topic'] == 0)) {
		$setting = set_setting("unstick_topic", $_POST['unstick_topic'], "pm_after_action");
	}
	if (isset($_POST['unstick_topic_pm'])) {
		$value = stripinput($_POST['unstick_topic_pm']);
		$setting = set_setting("unstick_topic_pm", $value, "pm_after_action");
	}
	
	redirect(FUSION_SELF.$aidlink."&amp;status=settings_updated");
}

$paa_settings = get_settings("pm_after_action");

opentable($locale['paa_admin_000']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_010']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='refresh_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['refresh_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['refresh_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_018']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='refresh_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['refresh_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "refresh_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_011']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='delete_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['delete_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['delete_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_u1_000']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='delete_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['delete_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "delete_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_012']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='lock_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['lock_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['lock_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_018']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='lock_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['lock_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "lock_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_013']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='stick_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['stick_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['stick_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_018']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='stick_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['stick_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "stick_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_014']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='move_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['move_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['move_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_018']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='move_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['move_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "move_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_015']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='unlock_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['unlock_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['unlock_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_018']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='unlock_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['unlock_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "unlock_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['paa_admin_016']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['paa_admin_017']."</td>\n";
echo "<td width='50%' class='tbl'><select name='unstick_topic' class='textbox'>\n";
echo "<option value='1'".($paa_settings['unstick_topic'] == "1" ? " selected='selected'" : "").">".$locale['paa_admin_019']."</option>\n";
echo "<option value='0'".($paa_settings['unstick_topic'] == "0" ? " selected='selected'" : "").">".$locale['paa_admin_020']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['paa_admin_018']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='unstick_topic_pm' cols='50' rows='5' class='textbox' style='width:200px;'>".$paa_settings['unstick_topic_pm']."</textarea>\n";
echo display_bbcodes("200px;", "unstick_topic_pm", "settingsform", "b|i|u|color|url|center|size|big|small")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['paa_admin_021']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>